commit: 5bef6be5042508c8102575f03af10f6f441b3b28
Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 31 04:41:35 2020 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Fri Jul 31 04:41:49 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5bef6be5
dev-perl/Digest-MD4: -r bump for EAPI7 + CFLAGS love
- EAPI7
- Fix LICENSE
- Ensure CFLAGS passed to make/compiler
- Parallel tests
Package-Manager: Portage-2.3.103, Repoman-2.3.22
Signed-off-by: Kent Fredric <kentnl <AT> gentoo.org>
dev-perl/Digest-MD4/Digest-MD4-1.900.0-r2.ebuild | 27 ++++++++++++++++++++++++
1 file changed, 27 insertions(+)
diff --git a/dev-perl/Digest-MD4/Digest-MD4-1.900.0-r2.ebuild
b/dev-perl/Digest-MD4/Digest-MD4-1.900.0-r2.ebuild
new file mode 100644
index 00000000000..605c838b5f8
--- /dev/null
+++ b/dev-perl/Digest-MD4/Digest-MD4-1.900.0-r2.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DIST_AUTHOR=MIKEM
+DIST_VERSION=1.9
+DIST_SECTION=DigestMD4
+inherit perl-module
+
+DESCRIPTION="MD4 message digest algorithm"
+LICENSE="|| ( Artistic GPL-1+ ) RSA"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc
~x86"
+
+RDEPEND="
+ virtual/perl-File-Spec
+"
+BDEPEND="${RDEPEND}
+ virtual/perl-ExtUtils-MakeMaker
+"
+src_compile() {
+ mymake=(
+ "OPTIMIZE=${CFLAGS}"
+ )
+ perl-module_src_compile
+}